The overview panel's canvas's background color should be set to the project background
Status: Closed

Priority: Low

Assignee:

Category: Map Canvas

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19478

Description

Right now, the background color of the overview panel's canvas is set to the default OS window background color (on windows and linux,

defaulting to a light gray). It can be problematic when working with projects that have a non-white background.

For e.g., in the attached screenshot, I am displaying a set of polygons using a light gray color over a black background. When the layer's

[x] show in overview is checked, the polygons can barely be seen as the color matches the OS window background color.

IMO, the overview canvas' background color should match the project's background color.

Associated revisions

Revision f60ca599 - 2015-10-13 01:44 PM - Nyall Dawson

Fix overview canvas background color not set (fix #11157)

Revision 4d7cb24c - 2015-11-19 02:31 PM - Nyall Dawson

Fix overview canvas background color not set (fix #11157)

(cherry-picked from f60ca59996544a29567cfa6a68f6dc2c1664f6dd)

History

#1 - 2014-10-26 03:13 PM - Jürgen Fischer

- Category set to Map Canvas

#2 - 2014-10-26 03:42 PM - Nyall Dawson

This is already fixed, isn't it?

#3 - 2014-10-26 04:47 PM - Mathieu Pellerin - nIRV

Nyall, more or less so. The way it was implemented (I think) was to set the panel's background color to the project's background color upon creation of

panel or something like that.

The current implementation doesn't deal with project background color changes, or changing background when loading more than one project within a

session.
#4 - 2015-10-13 07:58 AM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"f60ca59996544a29567cfa6a68f6dc2c1664f6dd".
